﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Data;

namespace HeuristicLab.Encodings.ConditionActionEncoding {
  public interface IActionSetSubsumption : IOperator, IParameterizedNamedItem, INamedItem, IParameterizedItem, IItem, IContent, IDeepCloneable, ICloneable {
    ILookupParameter<ItemArray<IClassifier>> ClassifiersParameter { get; }
    ILookupParameter<ItemArray<IntValue>> NumerositiesParameter { get; }
    ILookupParameter<ItemArray<IntValue>> ExperiencesParameter { get; }
    ILookupParameter<ItemArray<DoubleValue>> ErrorsParameter { get; }
    ILookupParameter<ItemArray<BoolValue>> HasBeenSubsumedParameter { get; }
    ILookupParameter<DoubleValue> ErrorZeroParameter { get; }
    ILookupParameter<IntValue> ThetaSubsumptionParameter { get; }
  }
}
